Bug 205475 - [NEW PORT] x11-themes/gtk-E17-theme: Dark GTK theme for Enlightenment
Summary: [NEW PORT] x11-themes/gtk-E17-theme: Dark GTK theme for Enlightenment
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords: feature, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-12-21 02:55 UTC by Matthew Rezny
Modified: 2016-02-02 18:06 UTC (History)
0 users

See Also:


Attachments
add x11-themes/gtk-E17-gtk (14.35 KB, patch)
2015-12-21 02:55 UTC, Matthew Rezny
no flags Details | Diff
add port x11-themes/gtk-E17-theme (14.36 KB, patch)
2015-12-21 13:19 UTC, Matthew Rezny
no flags Details | Diff
poudriere log (10.06 KB, text/plain)
2015-12-21 13:20 UTC, Matthew Rezny
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Rezny freebsd_committer 2015-12-21 02:55:38 UTC
Created attachment 164442 [details]
add x11-themes/gtk-E17-gtk

New Port

pkg-descr:
E17gtk is a dark Gtk theme with sharp corners, which is designed for use in Enlightenment and gives the elegant look of Enlightenment to Gtk3, Gtk2 and Qt widgets. Of course, it can be used with any GTK based environment too, but it is not tuned to Gnome or any of its apps.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-21 07:57:19 UTC
Comment on attachment 164442 [details]
add x11-themes/gtk-E17-gtk

New ports dont (yet) have a maintainer to approve
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-21 07:57:53 UTC
@Matthew, can you confirm this passes QA please? (portlint, poudriere). Logs as attachments are not necessary
Comment 3 Matthew Rezny freebsd_committer 2015-12-21 13:19:42 UTC
Created attachment 164454 [details]
add port x11-themes/gtk-E17-theme

The mention of poudriere testing prompted me to realize this should have NO_ARCH set. I assume it was an oversight that it is not set in the other theme ports I was cribbing from when putting this port together.

/usr/ports/x11-themes/gtk-E17-theme # portlint -AC
WARN: Makefile: Consider defining LICENSE.
0 fatal errors and 1 warning found.

Portlint is happy except for license, which I can do nothing about. There is no mention of license in the distributed files at all. The website simply says "License: GPL", and while LICENSE=GPL makes portlint happy, it causes make to fail. Leaving it blank rather than trying to guess a GPL version.

I guess some clarification is needed regarding the maintainer flag. I was previously told it should be set on ports without a maintainer, i.e. MAINTAINER=ports@FreeBSD.org. A new port also has no current maintainer so logically the same should apply.
Comment 4 Matthew Rezny freebsd_committer 2015-12-21 13:20:24 UTC
Created attachment 164455 [details]
poudriere log
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-21 13:29:04 UTC
(In reply to matthew from comment #3)

maintainer-approval only applies to existing ports without a maintainer (since by definition a maintainer cant approve the change), and new port doesn't yet have a maintainer, until it's committed

This change is nonetheless good to go.
Comment 6 Matthew Rezny freebsd_committer 2016-01-02 03:20:15 UTC
(In reply to Kubilay Kocak from comment #5)

Since a new port has no maintainer until its committed, by definition there is no maintainer to approve, exactly the same as an existing port without maintainer. I'm still waiting some logical explanation for the difference in handling, and that should include an explanation of why maintainer-approval exists but is not used in such a way to be useful filter criteria. This dead simple theme port sits for weeks. Is that because it doesn't show up in Maintainer Approved saved search that committers with a free moment might look at first?
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-02 17:21:02 UTC
Matthew has waited too long, and this port doesn't depend on an entire X/Desktop stack (contrary to what I assumed)
Comment 8 commit-hook freebsd_committer 2016-02-02 17:52:53 UTC
A commit references this bug:

Author: koobs
Date: Tue Feb  2 17:51:52 UTC 2016
New revision: 407831
URL: https://svnweb.freebsd.org/changeset/ports/407831

Log:
  [NEW] x11-themes/gtk-E17-theme: Dark GTK theme for Enlightenment

  E17gtk is a dark Gtk theme with sharp corners, which is designed for use in
  Enlightenment and gives the elegant look of Enlightenment to Gtk3, Gtk2 and
  Qt widgets. Of course, it can be used with any GTK based environment too,
  but it is not tuned to Gnome or any of its apps.

  WWW: http://gnome-look.org/content/show.php/?content=163472

  PR:		205475
  Submitted by:	Matthew <matthew reztek cz>

Changes:
  head/x11-themes/Makefile
  head/x11-themes/gtk-E17-theme/
  head/x11-themes/gtk-E17-theme/Makefile
  head/x11-themes/gtk-E17-theme/distinfo
  head/x11-themes/gtk-E17-theme/pkg-descr
  head/x11-themes/gtk-E17-theme/pkg-plist
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-02 18:06:37 UTC
Committed, apologies for the delay Matthew